summarylogtreecommitdiffstats
path: root/setup.sh.in
diff options
context:
space:
mode:
authorJernuh Zakalwe2021-05-13 17:21:36 +0200
committerJernuh Zakalwe2021-05-13 17:21:36 +0200
commit8e91d987da4f074b900b5d53c94694259f7af86e (patch)
treead162f1a7bb1cfc35bcf9e5045c5feb0b50a9fcd /setup.sh.in
parent2453639660463d7f30e964956f17e4281de428cd (diff)
downloadaur-8e91d987da4f074b900b5d53c94694259f7af86e.tar.gz
Attempt to add a package based dependency solution for lite installer.
Wine dependency are now optional to use other sources if desired. Minor changes in evelauncher.kwinrule and evelauncher.lua
Diffstat (limited to 'setup.sh.in')
-rw-r--r--setup.sh.in12
1 files changed, 2 insertions, 10 deletions
diff --git a/setup.sh.in b/setup.sh.in
index 16edc04f5454..a3078de1088d 100644
--- a/setup.sh.in
+++ b/setup.sh.in
@@ -134,6 +134,7 @@ get_dxvk() {
}
check_req() {
+ dltool=$(which curl 2>/dev/null || which wget 2>/dev/null || true)
case ${dltool##*/} in
curl) dltool="$dltool -L -O" ;;
wget) dltool="$dltool -nc" ;;
@@ -148,12 +149,6 @@ check_req() {
if [ ! -x "$(which lsof 2>/dev/null)" ] ;then
req="${req}lsof\n"
fi
- if [ ! -x "$(which wine 2>/dev/null)" ] ;then
- req="${req}wine\n"
- fi
- if [ ! -r "$(find /usr/lib -type f -name 'libxcb-xinerama*' 2>/dev/null)" ] ;then
- req="${req}libxcb-xinerama\n"
- fi
if [ "x$req" != "x" ] ;then
printf "\nError: Following requirements are missing:\n"
printf "\n$req\n"
@@ -178,11 +173,8 @@ dvcsum=""
rcsum=""
key=""
-dltool=$(which curl 2>/dev/null || which wget 2>/dev/null || true)
-
if [ $(id -u) -ne 0 ] ;then
- printf "\nEVE Online Launcher Setup need root permissions."
- printf "\nLeaving.\n\n"
+ printf "\nEVE Online Launcher Setup need root permissions.\n\n"
exit 0
fi